import { useSelector } from 'react-redux'

/**
 * 获取当前推荐置业
 * @param {*} buildingId 
 * @returns 
 */
export default function useConsultant(buildingId) {
  const { consultant } = useSelector(s => s.system)

  if (consultant?.id) {
    if (consultant.projects && consultant.projects.indexOf(buildingId) > -1) {
      return { consultant }
    }
  }

  return {}
}
